## org.jvnet.maven.plugin.antrun
Class RemoveSpecificArtifactsFilter

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.jvnet.maven.plugin.antrun.GraphFilter
              org.jvnet.maven.plugin.antrun.ListFilter
                  org.jvnet.maven.plugin.antrun.AbstractArtifactsExclusionFilter
                      org.jvnet.maven.plugin.antrun.RemoveSpecificArtifactsFilter

All Implemented Interfaces:
  java.lang.Cloneable, GraphVisitor

    public class RemoveSpecificArtifactsFilter

extends AbstractArtifactsExclusionFilter

Filter `DependencyGraph` by excluding artifacts that are specific to the given artifacts.

By specific, I mean an artifact that's only depended on by one and the only one of the given artifacts.

Author:
  Kohsuke Kawaguchi

Field Summary

Fields inherited from class org.jvnet.maven.plugin.antrun.AbstractArtifactsExclusionFilter
`ids`

Fields inherited from class org.jvnet.maven.plugin.antrun.GraphFilter
`children`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`RemoveSpecificArtifactsFilter()`
`RemoveSpecificArtifactsFilter(java.util.Collection<java.lang.String> artifactIds)`
`RemoveSpecificArtifactsFilter(java.lang.String... artifactIds)`
`RemoveSpecificArtifactsFilter(java.lang.String artifactId)`

Method Summary
`boolean` `visit(DependencyGraph.Node node)` Visits a node.

Methods inherited from class org.jvnet.maven.plugin.antrun.AbstractArtifactsExclusionFilter
`addArtifact, addConfiguredArtifact, resolve`

Methods inherited from class org.jvnet.maven.plugin.antrun.ListFilter
`process, visit`

Methods inherited from class org.jvnet.maven.plugin.antrun.GraphFilter
`add, evaluateChild, evaluateChild`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoveSpecificArtifactsFilter

    public RemoveSpecificArtifactsFilter(java.util.Collection<java.lang.String> artifactIds)
                                  throws java.io.IOException

Throws:
  `java.io.IOException`

### RemoveSpecificArtifactsFilter

    public RemoveSpecificArtifactsFilter(java.lang.String... artifactIds)
                                  throws java.io.IOException

Throws:
  `java.io.IOException`

### RemoveSpecificArtifactsFilter

    public RemoveSpecificArtifactsFilter(java.lang.String artifactId)
                                  throws java.io.IOException

Throws:
  `java.io.IOException`

### RemoveSpecificArtifactsFilter

    public RemoveSpecificArtifactsFilter()

Method Detail

### visit

    public boolean visit(DependencyGraph.Node node)

  Description copied from interface: `GraphVisitor`
  Visits a node.

  Returns:
    false to cut the traversal here and don't visit any of forward edges from this node.

Copyright © 2011. All Rights Reserved.